View Issue Details

IDProjectCategoryView StatusLast Update
0001178FreeCADFeaturepublic2014-02-16 17:51
ReporteroldestfoxAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001178: Increase decimal precision
DescriptionIf decimal precision was increased from 2 to 4, or even higher if it were selectable, then basic drawing could be done as the US system of length (i.e.inches). Simply enter dims in mm*1000. e.g. 2.12mm becomes 2.1234 inches or 2.123 and it could be entered exactly. Then just consider it to be inches. Later a scale could be done to each part to bring everything to true size in mm for export. Since FreeCAD will probably never have a true Imperial implementation, this may work for a majority of the users thereby increasing the FreeCAD user base. Always a good thing.
TagsNo tags attached.

Relationships

related to 0000854 closedwmayer Ability to change number of digits to the right of decimal place in spinboxes 
related to 0001004 closed Spin box locked to 1 mm 

Activities

normandc

2013-07-13 20:03

manager   ~0003403

To add on this request, this specifically refers to the Task panel entry field for Part Design features.

Relevant forum topic: http://forum.freecadweb.org/viewtopic.php?f=3&t=3515#p33282

As danielfalck points out, having more precision in Part Design features entry fields may also be useful in metric applications.

danielfalck

2013-11-16 16:57

reporter   ~0003887

I want to add a 'me too' to this after chatting with another user who needs more precision in his padding and pocketing, we noted that it could be changed after the fact in the Property Panel Data tab (if we set 'Tools' > 'Edit parameter' > 'Preferences' > 'Units' > 'Decimals' > 'New Integer item' as we always do) but we would like to add encouragement to have this made more consistent with how the rest of the application works.

wmayer

2014-02-16 17:50

administrator   ~0004229

git show fb994e20

Issue History

Date Modified Username Field Change
2013-07-13 19:03 oldestfox New Issue
2013-07-13 20:03 normandc Note Added: 0003403
2013-11-16 16:57 danielfalck Note Added: 0003887
2014-02-16 17:50 wmayer Note Added: 0004229
2014-02-16 17:50 wmayer Status new => closed
2014-02-16 17:50 wmayer Resolution open => fixed
2014-02-16 17:50 wmayer Fixed in Version => 0.14
2014-02-16 17:50 wmayer Relationship added related to 0000854
2014-02-16 17:51 wmayer Relationship added related to 0001004